Skip to content

Get history

Request

Returns a single History by its unique identifier.

Security
bearer
Path
siteIdnumberrequired

Site identifier

historyIdstringrequired

History unique identifier (UUID)

curl -i -X GET \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/history/{historyId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

History found

Bodyapplication/json
animalIdstringrequired

Identifier of the animal associated with this history record.

Example:"123e4567-e89b-12d3-a456-426614174000"
chainstringrequired

Chain or grouping identifier for related history records.

Example:"123e4567-e89b-12d3-a456-426614174000"
commentsstringrequired

Free-text comments or narrative for this history entry.

Example:"example"
consultIdstringrequired

Identifier of the consult associated with this history record.

Example:"123e4567-e89b-12d3-a456-426614174000"
createdAtstring, (date-time)required

Timestamp when this history record was created.

Example:"2025-01-01T00:00:00.000Z"
eventAtstring, (date-time)required

Timestamp of the clinical or system event represented by this history record.

Example:"2025-01-01T00:00:00.000Z"
extensionsobjectrequired

Vendor- or practice-specific extensions.

historyIdstringrequired

Unique identifier for this history record.

Example:"123e4567-e89b-12d3-a456-426614174000"
historySystemstringrequired

Source or subsystem that created or owns this history record.

Example:"example"
isActivebooleanrequired

Whether this history record is active.

Example:true
updatedAtstring, (date-time)required

Timestamp when this history record was last updated.

Example:"2025-01-01T00:00:00.000Z"
vetIdstringrequired

Identifier of the veterinarian associated with this history record.

Example:"123e4567-e89b-12d3-a456-426614174000"
Response
{ "animalId": "123e4567-e89b-12d3-a456-426614174000", "chain": "123e4567-e89b-12d3-a456-426614174000", "comments": "example", "consultId": "123e4567-e89b-12d3-a456-426614174000", "createdAt": "2025-01-01T00:00:00.000Z", "eventAt": "2025-01-01T00:00:00.000Z", "extensions": {}, "historyId": "123e4567-e89b-12d3-a456-426614174000", "historySystem": "example", "isActive": true, "updatedAt": "2025-01-01T00:00:00.000Z", "vetId": "123e4567-e89b-12d3-a456-426614174000" }